cupsctl(8)

NOME
cupsctl - configura opções de cupsd.conf

RESUMO
cupsctl [ -h server[:port] ] [ -E ] [ -U username ] [ --[no-]debug-logging ] [ --[no-]remote-admin ] [ --[no-]remote-any ] [ --[no-]share-printers ] [ --[no-]user-cancel-any ] [ name=value ]

DESCRIÇÃO
cupsctl actualiza ou questiona o ficheiro cupsd.conf para um servidor. Quando não há alterações requisitadas, os valores de configuração actuais são escritos na saída standard no formato "nome=valor", um por linha.

OPÇÕES
As seguintes opções são reconhecidas:

-E  Activa encriptação na ligação com o agendador.

-U username
    Especifica um nome de utilizador alternativo a usar ao autenticar-se com o agendador.

-h server[:port]
    Especifica o endereço do servidor. Nota: Esta opção tem de ocorrer antes de todas as outras.

--[no-]debug-logging
    Activa (desactiva) relatórios de depuração para o ficheiro error_log.

--[no-]remote-admin
    Activa (desactiva) administração remota.

--[no-]remote-any
    Activa (desactiva) imprimir a partir de qualquer endereço, ex., da Internet.

--[no-]share-printers
    Activa (desactiva) a partilha de impressoras locais com outros computadores.

--[no-]user-cancel-any
    Permite (previne) utilizadores de cancelar trabalhos da posse de outros.

EXEMPLOS
Mostrar as definições actuais:

    cupsctl

Activar relatórios de depuração:

    cupsctl --debug-logging

Obter o estado actual de relatórios de depuração:

    cupsctl | grep '^_debug_logging' | awk -F= '{print $2}'

Desactivar partilha de impressoras:

    cupsctl --no-share-printers

PROBLEMAS CONHECIDOS
Você não consegue definir as directivas Listen ou Port usando cupsctl.

VEJA TAMBÉM
cupsd.conf(5), cupsd(8),
Ajuda Online do CUPS (http://localhost:631/help)

COPYRIGHT
Copyright © 2020-2024 by OpenPrinting.